  SUBROUTINE tssub_advdify_fourthorder(sal,temp &

                                             ,c &

                                        )

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE tssub_advdify_fourthorder  ***
!&E
!&E ** Purpose : Estimate of meridional fluxes of temperature and salinity
!&E              and other substances (advection and diffusion)
!&E              Advection uses a fourth order centered scheme equivalent
!&E              to QUICKEST
!&E
!&E ** Description : No horizontal diffusion at lower depths ( < hminkxky)
!&E                 - case of cyclicity in y : correct for northward propagation,
!&E                    uncorrect for southward propagation (stencil not long enough)
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays : hty,hey,hy,fyeau,sal,temp,c(cv_wat),hzey,dy_v
!&E                     fsaly,ftempy,fy
!&E
!&E ** Modified variables : fsaly,ftempy,fy
!&E
!&E ** Reference : Schema centre d ordre 4 corespondant au quickest
!&E
!&E ** History :
!&E       !  2010-10 (L. Debreu, T. Duhaut) original code
!&E       !  2016-04  (B.Thouvenin) applied to all substances (dissolved and particulate, include sand)
!&E       !  2016-12  (B.Thouvenin) version sedim_MUSTANG : only mixsed (mudsand not operationnal)
!&E
!&E---------------------------------------------------------------------































































   USE parameters, ONLY : rsh,kmax,liminm1,limaxp2,ljminm1,ljmaxp2
   REAL(KIND=rsh),DIMENSION(kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: sal,temp

   REAL(KIND=rsh),DIMENSION(kmax,kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: c




  END SUBROUTINE tssub_advdify_fourthorder
